org.apache.lucene.analysis.opennlp.tools

## Class NLPTokenizerOp

- java.lang.Object
- - org.apache.lucene.analysis.opennlp.tools.NLPTokenizerOp

-     public class NLPTokenizerOp
      extends Object

  Supply OpenNLP Sentence Tokenizer tool Requires binary models from OpenNLP project on SourceForge.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NLPTokenizerOp()`
    `NLPTokenizerOp(opennlp.tools.tokenize.TokenizerModel model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `opennlp.tools.util.Span[]` | `getTerms(String sentence)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NLPTokenizerOp

          public NLPTokenizerOp(opennlp.tools.tokenize.TokenizerModel model)

    - #### NLPTokenizerOp

          public NLPTokenizerOp()

  - ### Method Detail

    - #### getTerms

          public opennlp.tools.util.Span[] getTerms(String sentence)

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.